## Documentation for sheet: _variables

How to use ?
------
```
@import '~sassfull/scss/variables';
```

#### Colors
| Variables                 | Default                                               |
| ------------------------- |:----------------------------------------------------: |
| $c_primary                | #E62565                                               |
| $c_alt                    | #2E294E                                               |
| $c_dark                   | #404040                                               |
| $c_success                | #4CD964                                               |
| $c_error                  | #E54D42                                               |
| $c_warning                | #FDC02F                                               |
| $c_info                   | #1FBCD2                                               |

#### Colors - Gray
| Variables                 | Default                                               |
| ------------------------- |:----------------------------------------------------: |
| $c_darkGray               | #404040                                               |
| $c_mediumGray             | #BFBFBF                                               |
| $c_lightGray              | #CECED2                                               |
| $c_extraLightGray         | #EFEFF4                                               |

#### Colors - Base
| Variables                 | Default                                               |
| ------------------------- |:----------------------------------------------------: |
| $c_black                  | #000                                                  |
| $c_white                  | #fff                                                  |

#### Typography
| Variables                 | Default                                               |
| ------------------------- |:----------------------------------------------------: |
| $c_text                   | $c_dark                                               |
| $fs-text                  | 14px                                                  |
| $lh-text                  | 1.6                                                   |
| $fs-title-h1              | 2.5rem                                                |
| $fs-title-h2              | 2.2rem                                                |
| $fs-title-h3              | 2rem                                                  |
| $fs-title-h4              | 1.6rem                                                |
| $fs-title-h5              | 1.3rem                                                |
| $fs-title-h6              | 1rem                                                  |

#### Border
| Variables                 | Default                                               |
| ------------------------- |:----------------------------------------------------: |
| $bd_std_width:            | 1px                                                   |
| $bd_std_style:            | solid                                                 |
| $bd_std_color:            | c_lightGray                                           |
| $bd_std_radius:           | 4px                                                   |
| $bd_ext_radius:           | 8px                                                   |
| $bd_std:                  | bd_std_width $bd_std_style $c_lightGray               |

#### Shadow
| Variables                 | Default                                               |
| ------------------------- |:----------------------------------------------------: |
| $sh_std                   | 0px 4px 8px rgba($c_black, 0.18)                      |
| $sh_large                 | 0px 8px 16px rgba($c_black, 0.20)                     |

#### Button
| Variables                 | Default                                               |
| ------------------------- |:----------------------------------------------------: |
| $btn_disabled_opacity     | 0.6                                                   |
